Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.serialize
Class SieveEncodingInfo

    java.lang.Object
      org.jasig.portal.serialize.EncodingInfo
          org.jasig.portal.serialize.SieveEncodingInfo

    public class SieveEncodingInfo

extends EncodingInfo

This class represents an encoding.

Version:
  $Id: SieveEncodingInfo.java,v 1.2 2004/01/13 22:34:15 kweiner Exp $

Nested Class Summary
`(package private) static class` | `SieveEncodingInfo.BAOutputStream` Why don't we use the original ByteArrayOutputStream? - Because the toByteArray() method of the ByteArrayOutputStream creates new byte[] instances for each call.

Field Summary
`(package private) SieveEncodingInfo.BAOutputStream` | `checkerStream`
`(package private) java.io.Writer` | `checkerWriter`
`(package private) java.lang.String` | `dangerChars`

Fields inherited from class org.jasig.portal.serialize.EncodingInfo
`javaName, lastPrintable, name`

Constructor Summary
`SieveEncodingInfo(java.lang.String mimeName, int lastPrintable)` Creates new `SeiveEncodingInfo` instance.
`SieveEncodingInfo(java.lang.String mimeName, java.lang.String javaName, int lastPrintable, java.lang.String dangers)` Creates new `SeiveEncodingInfo` instance.

Method Summary
`boolean` | `isPrintable(int ch)` Checks whether the specified character is printable or not.

Methods inherited from class org.jasig.portal.serialize.EncodingInfo
`getName, getWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### checkerStream

    SieveEncodingInfo.BAOutputStream checkerStream

### checkerWriter

    java.io.Writer checkerWriter

### dangerChars

    java.lang.String dangerChars

Constructor Detail

### SieveEncodingInfo

    public SieveEncodingInfo(java.lang.String mimeName,
                             java.lang.String javaName,
                             int lastPrintable,
                             java.lang.String dangers)

  Creates new `SeiveEncodingInfo` instance.

  Parameters:
    `dangers` - A sorted characters that are always printed as character references.

### SieveEncodingInfo

    public SieveEncodingInfo(java.lang.String mimeName,
                             int lastPrintable)

  Creates new `SeiveEncodingInfo` instance.

Method Detail

### isPrintable

    public boolean isPrintable(int ch)

  Checks whether the specified character is printable or not.

  Overrides:
    `isPrintable` in class `EncodingInfo`
  Parameters:
    `ch` - a code point (0-0x10ffff)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD